Name:		bangarang
Version:	2.1
Release:	6%{?dist}
Summary:	Media player with nepomuk support

Group:		Applications/Multimedia
License:	GPLv3+
URL:		http://bangarangkde.wordpress.com/
Source0:	http://bangarangissuetracking.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0:		bangarang-2.1-include-unistdh.patch

BuildRequires:	gettext, kdemultimedia-devel, taglib-devel, soprano-devel

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

%description
* Play your media (Media files, CD and DVD).
* Restrained interface that puts your media front-and-center.
* Media library functions that allow you simple, effective browsing and 
  categorization for all your media including:
	o Music
	o Audio streams
	o Audio clips
	o Movies
	o TV Shows
	o Video clips
* Rating and play count tracking
* Search functions
* Saved media lists including:
	o Save media lists for any media type
	o Save media list “views” – Save any view while browsing, 
	  including search results. Views are “live” – when you add 
	  that new Muse album to your library, your saved media list 
	  view will automatically reflect it.
* Employs core KDE4 technologies including:
	o Nepomuk – Uses and shares media data with the rest of your desktop.
	o Phonon – Whatever the phonon backend plays, Bangarang plays.


%prep
%setup -q -n bangarang-bangarang

%patch0 -p1 -b .include-unistd.h

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}
make install/fast -C %{_target_platform} DESTDIR=%{buildroot}
%find_lang %{name} --with-kde

%clean
rm -rf %{buildroot}

%post 
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
   touch --no-create %{_kde4_iconsdir}/hicolor &>/dev/null
   gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &>/dev/null || :
   update-desktop-database -q &> /dev/null
   update-mime-database %{_kde4_datadir}/mime &> /dev/null
fi

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null
update-mime-database %{_kde4_datadir}/mime &> /dev/null

%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/%{name}.desktop

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README HACKING TESTING
%{_kde4_bindir}/bangarang*
%{_kde4_datadir}/applications/kde4/%{name}.desktop
%{_kde4_iconsdir}/hicolor/*/*/*.png
%{_kde4_appsdir}/solid/actions/%{name}*

%changelog
* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb 15 2012 Martin Airs <camberwell@fedoraproject.org> - 2.1-1
- 2.1 release
- include unistd.h patch

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jul 15 2011 Jaroslav Reznik <jreznik@redhat.com> - 2.0.1-1
- bugfix release 2.0.1

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb 02 2011 Thomas Janssen <thomasj@fedoraproject.org> 2.0-1
- 2.0 release

* Wed Nov 17 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.0.1-2
- removed sed lines, fix mimetype (sed is bad, patch is good) #654366

* Sat May 01 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.0.1-1
- bugfix release 1.0.1

* Mon Feb 01 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.0-2
- Remove a double entry from .desktopfile

* Sun Jan 17 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.0-1
- Update to new source

* Thu Jan 07 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.0-1.rc1
- Initial Fedora release

